> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Gdpr Export Request

> Submit a GDPR data portability export request.

Any authenticated user may request their own data export.
Admins may specify a target_user_id to request on behalf of any user.



## OpenAPI

````yaml /openapi.json post /v1/gdpr/export-requests
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/gdpr/export-requests:
    post:
      tags:
        - gdpr
      summary: Create Gdpr Export Request
      description: |-
        Submit a GDPR data portability export request.

        Any authenticated user may request their own data export.
        Admins may specify a target_user_id to request on behalf of any user.
      operationId: create_gdpr_export_request_v1_gdpr_export_requests_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExportRequestCreate'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Create Gdpr Export Request V1 Gdpr Export Requests
                  Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ExportRequestCreate:
      description: Body for submitting a GDPR data export request.
      properties:
        filters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Filters
        format:
          $ref: '#/components/schemas/ReportFormat'
          default: json
        include:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Subset of resources to include, e.g. ['issues', 'audit']
          title: Include
        target_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target User Id
      title: ExportRequestCreate
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ReportFormat:
      enum:
        - csv
        - xlsx
        - json
        - pdf
        - pptx
        - parquet
      title: ReportFormat
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````